Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.common
Class DocumentDescriptor

    java.lang.Object
      |
      +--com.bea.wlai.common.AbstractDescriptor
            |
            +--com.bea.wlai.common.DocumentDescriptor

public class DocumentDescriptor
extends AbstractDescriptor
implements IDocumentDescriptor

This interface embodies all the metadata about a document type. It includes the document schema (structure and usage) and a root element name that indicates what the tag name for all documents of this type will be.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`` | `DocumentDescriptor()` For use by Serialize code.
`` | `DocumentDescriptor(java.lang.String name, java.lang.String description)` Create a null DocumentDescriptor with name, description
`` | `DocumentDescriptor(java.lang.String name, java.lang.String description, java.lang.String schemaName, java.lang.String rootElementName)` Create a DocumentDescriptor with name, description.
`protected` | `DocumentDescriptor(java.lang.String name, java.lang.String description, java.lang.String schemaName, java.lang.String rootElementName, boolean isNull)` Create a DocumentDescriptor with name, description, optionally as a null document descriptor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares the current DocumentDescriptor to another object.
`void` | `fromXML(IDocument doc)` Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.
`QualifiedName` | `getQualifiedName()` Deprecated. 7/26/2001
`java.lang.String` | `getRootElementName()` Get the name of the root element for the documents of this type.
`java.lang.String` | `getSchemaNameString()` Get the name of the schema for the document type represented by this descriptor.
`boolean` | `isNull()`
`void` | `setRootElementName(java.lang.String rootElementName)` Set the name of the root element for the documents of this type.
`void` | `setSchemaNameString(java.lang.String schemaNameString)` Set the name of the schema for the document type represented by this descriptor.
`java.lang.String` | `toString()` Render this document descriptor as a String.
`void` | `toXML(IDocument doc)` Output an XML representation of this descriptor into an IDocument instance.

Methods inherited from class com.bea.wlai.common.AbstractDescriptor
`fromXML, fromXML, getDescription, getName, isReadOnly, makeReadOnly, setDescription, setName, toXML, toXML`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentDescriptor

    public DocumentDescriptor()

  For use by Serialize code.

### DocumentDescriptor

    public DocumentDescriptor(java.lang.String name,
                              java.lang.String description)

  Create a null DocumentDescriptor with name, description

### DocumentDescriptor

    public DocumentDescriptor(java.lang.String name,
                              java.lang.String description,
                              java.lang.String schemaName,
                              java.lang.String rootElementName)

  Create a DocumentDescriptor with name, description.

### DocumentDescriptor

    protected DocumentDescriptor(java.lang.String name,
                                 java.lang.String description,
                                 java.lang.String schemaName,
                                 java.lang.String rootElementName,
                                 boolean isNull)

  Create a DocumentDescriptor with name, description, optionally as a null document descriptor.

Method Detail

### toString

    public java.lang.String toString()

  Render this document descriptor as a String.

  Overrides:
    toString in class java.lang.Object

### equals

    public boolean equals(java.lang.Object obj)

  Compares the current DocumentDescriptor to another object. This method returns true only when the object is an instanceof DocumentDescriptor, and when its schema name, and root element name are equal.

  Overrides:
    equals in class java.lang.Object

### isNull

    public boolean isNull()

  Specified by:
    isNull in interface IDocumentDescriptor

### getSchemaNameString

    public java.lang.String getSchemaNameString()

  Get the name of the schema for the document type represented by this descriptor. The schema defines the structure and content of the documents of this type.
  Specified by:
    getSchemaNameString in interface IDocumentDescriptor

  Returns:
    The name of the schema for the document type for this descriptor.

### setSchemaNameString

    public void setSchemaNameString(java.lang.String schemaNameString)

  Set the name of the schema for the document type represented by this descriptor. The schema defines the structure and content of the documents of this type.
  Specified by:
    setSchemaNameString in interface IDocumentDescriptor

  Parameters:
    `name` - The name of the schema for the document type for this descriptor.

### getRootElementName

    public java.lang.String getRootElementName()

  Get the name of the root element for the documents of this type.
  Specified by:
    getRootElementName in interface IDocumentDescriptor

  Returns:
    The name of the root element present in the documents of this type.

### setRootElementName

    public void setRootElementName(java.lang.String rootElementName)

  Set the name of the root element for the documents of this type.
  Specified by:
    setRootElementName in interface IDocumentDescriptor

  Parameters:
    `name` - The name of the root element present in the documents of this type.

### getQualifiedName

    public QualifiedName getQualifiedName()

  Deprecated. 7/26/2001
  Get the qualified name of this document descriptor. This has been deprecated. The qualified name is not set by any constructor and no mutator method is provided.
  Specified by:
    getQualifiedName in interface IDocumentDescriptor

  Returns:
    The qualified name of this document descriptor. The qualified can be used to retrieve the document from the repository.

### toXML

    public void toXML(IDocument doc)
               throws DocumentException

  Output an XML representation of this descriptor into an IDocument instance.

  Parameters:
    `doc` - An IDocument instance to receive the data for this descriptor.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.
  Overrides:
    toXML in class AbstractDescriptor

### fromXML

    public void fromXML(IDocument doc)
                 throws DocumentException

  Extract the data for this descriptor from the given IDocument instance, replacing all contents of the current descriptor with the new data.

  Parameters:
    `doc` - An IDocument instance from which the data for this descriptor will be extracted.
  Throws:
    DocumentException - If any error occurs while processing the XML for this descriptor.
  Overrides:
    fromXML in class AbstractDescriptor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)